| LicenseSpring Management .Net SDK 1.16.1 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.License Class Reference

License class, implements `ILicense` interface. More...

Inheritance diagram for LicenseSpring.License:

## Public Member Functions
int | DaysRemaining ()
| How many days remaining till license expires.Days counter will be changed in midnight by UTC. 0 means license expires today.
bool | Expired ()
LicenseFeature | GetFeature (string featureCode)
bool | IsMaintenancePeriodExpired ()
| Is maintenance period expired. Returns Boolean value indicating whether maintenance period have been expired for current license
| License ()
| License default constructor.
int | MaintenanceDaysRemaining ()
| How many days remaining till maintenance period expires in current time zone.Days counter will be changed in local midnight. Returns int.MaxValue in case maintenance period unlimited or not specified.
DateTime | MaintenancePeriodLocal ()
| Returns The DateTime when maintenance expires in UTC
void | ReplaceFeature (LicenseFeature feature)
DateTime | ValidityPeriodLocal ()
| Returns The DateTime when license expires

## Properties
uint? | ActiveUpToDateDevices`[get]`
bool | AllowOverages`[get, set]`
ConsumptionPeriod | ConsumptionPeriod`[get]`
DateTime | CreatedAt`[get]`
| The DateTime of license creation.
List< CustomField > | CustomFields`[get, set]`
| Custom data fields available for the license.
uint? | DisabledUser`[get]`
bool | EnableMaintenancePeriod`[get]`
uint | FloatingInUseDevices`[get]`
uint? | FloatingTimeout`[get, set]`
uint | FloatingUsers`[get]`
ulong | Id`[get]`
| License id.
bool | IsActive`[get, set]`
bool | IsEnabled`[get, set]`
bool | IsExpired`[get, set]`
bool | IsFloating`[get, set]`
| Is this license floating.
bool | IsFloatingCloud`[get]`
bool | IsTrial`[get, set]`
| Is this license trial.
string | LastActivationDevice`[get]`
DateTime | LastCheck`[get]`
string | LicenseKey`[get, set]`
| License key or null if not available (in case of user-based product)
LicenseType | LicenseType`[get]`
| Type of license.
LicenseUser | LicenseUser`[get, set]`
List< LicenseUser > | LicenseUsers`[get]`
DateTime | MaintenancePeriod`[get]`
| Maintenance period for the license.
string | MaintenancePeriodString`[get, set]`
uint | MaxActivations`[get, set]`
| How many times license can be activated.
int? | MaxConsumptions`[get, set]`
| Maximum consumption of the license.
uint | MaxLicenseUsers`[get]`
| Maximum number of users of the license.
int | MaxOverages`[get, set]`
| Extra amount of consumption that allows to go over `MaxConsumption`.
string | Metadata`[get]`
| License metadata.
string | Note`[get]`
string | Order`[get]`
string | OrderItem`[get]`
string | OrderStoreId`[get]`
| A client order id that can be manually set in platform or through the SDK. Not to be confused with order id that the server generates.
Customer | Owner`[get]`
| Information about license owner, commonly it's a person or organization associated with the license.
bool | PreventVm`[get]`
Product | Product`[get, set]`
| Information about a product this license belongs to.
List< LicenseFeature > | ProductFeatures`[get]`
| Product features available for the license.
bool | ResetConsumption`[get]`
string | Signature`[get, set]`
System.DateTime | StartDate`[get]`
| License cannot be activated before this date.
LicenseStatus | Status`[get]`
| LicenseStatus object for this license.
string | SubscriptionId`[get]`
DateTime | TimeActivated`[get]`
| The DateTime of license activation.
DateTime | TimeDisabled`[get]`
| The DateTime when the license was disabled.
uint | TimesActivated`[get, set]`
| How many times license already been activated.
uint | TotalActiveDevices`[get]`
int | TotalConsumptions`[get, set]`
| Current total consumption of the license.
uint | TransferCount`[get]`
uint | TrialDays`[get]`
string | TypeString`[get, set]`
DateTime | UpdatedAt`[get]`
| The DateTime of the last license update.
DateTime | ValidityPeriod`[get]`
| The DateTime until the license is valid.
string | ValidityPeriodString`[get, set]`
Properties inherited from LicenseSpring.ILicense

## Detailed Description

License class, implements `ILicense` interface.

## Member Function Documentation

## ◆ DaysRemaining()

int LicenseSpring.License.DaysRemaining | ( |  | ) |

How many days remaining till license expires.Days counter will be changed in midnight by UTC. 0 means license expires today.

Implements LicenseSpring.ILicense.

## ◆ IsMaintenancePeriodExpired()

bool LicenseSpring.License.IsMaintenancePeriodExpired | ( |  | ) |

Is maintenance period expired.

Returns
  Boolean value indicating whether maintenance period have been expired for current license

Implements LicenseSpring.ILicense.

## ◆ MaintenanceDaysRemaining()

int LicenseSpring.License.MaintenanceDaysRemaining | ( |  | ) |

How many days remaining till maintenance period expires in current time zone.Days counter will be changed in local midnight. Returns int.MaxValue in case maintenance period unlimited or not specified.

Implements LicenseSpring.ILicense.

## ◆ MaintenancePeriodLocal()

DateTime LicenseSpring.License.MaintenancePeriodLocal | ( |  | ) |

Returns
  The DateTime when maintenance expires in UTC

Implements LicenseSpring.ILicense.

## ◆ ValidityPeriodLocal()

DateTime LicenseSpring.License.ValidityPeriodLocal | ( |  | ) |

Returns
  The DateTime when license expires

Implements LicenseSpring.ILicense.

## Property Documentation

## ◆ ActiveUpToDateDevices

uint? LicenseSpring.License.ActiveUpToDateDevices
| get

Implements LicenseSpring.ILicense.

## ◆ AllowOverages

bool LicenseSpring.License.AllowOverages
| get set

Implements LicenseSpring.ILicense.

## ◆ ConsumptionPeriod

ConsumptionPeriod LicenseSpring.License.ConsumptionPeriod
| get

Implements LicenseSpring.ILicense.

## ◆ CreatedAt

DateTime LicenseSpring.License.CreatedAt
| get

The DateTime of license creation.

Implements LicenseSpring.ILicense.

## ◆ CustomFields

List<CustomField> LicenseSpring.License.CustomFields
| get set

Custom data fields available for the license.

Implements LicenseSpring.ILicense.

## ◆ DisabledUser

uint? LicenseSpring.License.DisabledUser
| get

Implements LicenseSpring.ILicense.

## ◆ EnableMaintenancePeriod

bool LicenseSpring.License.EnableMaintenancePeriod
| get

Implements LicenseSpring.ILicense.

## ◆ FloatingInUseDevices

uint LicenseSpring.License.FloatingInUseDevices
| get

Implements LicenseSpring.ILicense.

## ◆ FloatingTimeout

uint? LicenseSpring.License.FloatingTimeout
| get set

Implements LicenseSpring.ILicense.

## ◆ FloatingUsers

uint LicenseSpring.License.FloatingUsers
| get

Implements LicenseSpring.ILicense.

## ◆ Id

ulong LicenseSpring.License.Id
| get

License id.

Implements LicenseSpring.ILicense.

## ◆ IsFloating

bool LicenseSpring.License.IsFloating
| get set

Is this license floating.

Implements LicenseSpring.ILicense.

## ◆ IsTrial

bool LicenseSpring.License.IsTrial
| get set

Is this license trial.

Implements LicenseSpring.ILicense.

## ◆ LastActivationDevice

string LicenseSpring.License.LastActivationDevice
| get

Implements LicenseSpring.ILicense.

## ◆ LastCheck

DateTime LicenseSpring.License.LastCheck
| get

Implements LicenseSpring.ILicense.

## ◆ LicenseKey

string LicenseSpring.License.LicenseKey
| get set

License key or null if not available (in case of user-based product)

Implements LicenseSpring.ILicense.

## ◆ LicenseType

LicenseType LicenseSpring.License.LicenseType
| get

Type of license.

Implements LicenseSpring.ILicense.

## ◆ LicenseUser

LicenseUser LicenseSpring.License.LicenseUser
| get set

Implements LicenseSpring.ILicense.

## ◆ LicenseUsers

List<LicenseUser> LicenseSpring.License.LicenseUsers
| get

Implements LicenseSpring.ILicense.

## ◆ MaintenancePeriod

DateTime LicenseSpring.License.MaintenancePeriod
| get

Maintenance period for the license.

Implements LicenseSpring.ILicense.

## ◆ MaxActivations

uint LicenseSpring.License.MaxActivations
| get set

How many times license can be activated.

Implements LicenseSpring.ILicense.

## ◆ MaxConsumptions

int? LicenseSpring.License.MaxConsumptions
| get set

Maximum consumption of the license.

Implements LicenseSpring.ILicense.

## ◆ MaxLicenseUsers

uint LicenseSpring.License.MaxLicenseUsers
| get

Maximum number of users of the license.

Implements LicenseSpring.ILicense.

## ◆ MaxOverages

int LicenseSpring.License.MaxOverages
| get set

Extra amount of consumption that allows to go over `MaxConsumption`.

Implements LicenseSpring.ILicense.

## ◆ Metadata

string LicenseSpring.License.Metadata
| get

License metadata.

Implements LicenseSpring.ILicense.

## ◆ Note

string LicenseSpring.License.Note
| get

Implements LicenseSpring.ILicense.

## ◆ Order

string LicenseSpring.License.Order
| get

Implements LicenseSpring.ILicense.

## ◆ OrderItem

string LicenseSpring.License.OrderItem
| get

Implements LicenseSpring.ILicense.

## ◆ OrderStoreId

string LicenseSpring.License.OrderStoreId
| get

A client order id that can be manually set in platform or through the SDK. Not to be confused with order id that the server generates.

Implements LicenseSpring.ILicense.

## ◆ Owner

Customer LicenseSpring.License.Owner
| get

Information about license owner, commonly it's a person or organization associated with the license.

Implements LicenseSpring.ILicense.

## ◆ PreventVm

bool LicenseSpring.License.PreventVm
| get

Implements LicenseSpring.ILicense.

## ◆ Product

Product LicenseSpring.License.Product
| get set

Information about a product this license belongs to.

Implements LicenseSpring.ILicense.

## ◆ ProductFeatures

List<LicenseFeature> LicenseSpring.License.ProductFeatures
| get

Product features available for the license.

Implements LicenseSpring.ILicense.

## ◆ ResetConsumption

bool LicenseSpring.License.ResetConsumption
| get

Implements LicenseSpring.ILicense.

## ◆ StartDate

System.DateTime LicenseSpring.License.StartDate
| get

License cannot be activated before this date.

Implements LicenseSpring.ILicense.

## ◆ Status

LicenseStatus LicenseSpring.License.Status
| get

LicenseStatus object for this license.

Implements LicenseSpring.ILicense.

## ◆ SubscriptionId

string LicenseSpring.License.SubscriptionId
| get

Implements LicenseSpring.ILicense.

## ◆ TimeActivated

DateTime LicenseSpring.License.TimeActivated
| get

The DateTime of license activation.

Implements LicenseSpring.ILicense.

## ◆ TimeDisabled

DateTime LicenseSpring.License.TimeDisabled
| get

The DateTime when the license was disabled.

Implements LicenseSpring.ILicense.

## ◆ TimesActivated

uint LicenseSpring.License.TimesActivated
| get set

How many times license already been activated.

Implements LicenseSpring.ILicense.

## ◆ TotalActiveDevices

uint LicenseSpring.License.TotalActiveDevices
| get

Implements LicenseSpring.ILicense.

## ◆ TotalConsumptions

int LicenseSpring.License.TotalConsumptions
| get set

Current total consumption of the license.

Implements LicenseSpring.ILicense.

## ◆ TransferCount

uint LicenseSpring.License.TransferCount
| get

Implements LicenseSpring.ILicense.

## ◆ TrialDays

uint LicenseSpring.License.TrialDays
| get

Implements LicenseSpring.ILicense.

## ◆ UpdatedAt

DateTime LicenseSpring.License.UpdatedAt
| get

The DateTime of the last license update.

Implements LicenseSpring.ILicense.

## ◆ ValidityPeriod

DateTime LicenseSpring.License.ValidityPeriod
| get

The DateTime until the license is valid.

Implements LicenseSpring.ILicense.

The documentation for this class was generated from the following file:

- License.cs